#include <bits/stdc++.h>
using namespace std;

int main() {
    int n, l;
    cin >> n >> l;  // Unosimo broj stalaktita i visinu Perice

    // Petlja koja ide kroz sve stalaktite i traži prvi stalaktit koji blokira
    for (int i = 1; i <= n; i++) {
        int h;
        cin >> h;  // Ucitavamo visinu i-tog stalaktita

        if (h <= l) {  // Ako visina stalaktita blokira Pericu
            cout << i << "\n";  // Ispisujemo indeks tog stalaktita
            return 0;  // Kraj programa jer je Perica naišao na blokadu
        }
    }

    cout << -1 << "\n";  // Ako Perica prode kroz celu pecinu
    return 0;
}